/**
 * 用来显示选择结果，垂直显示。支持移出、排序等操作。
 */
import React from 'react';
import { Option } from './Select';
import { ThemeProps } from '../theme';
import Sortable from 'sortablejs';
export interface SelectionsProps extends ThemeProps {
    className?: string;
    value?: Array<Option>;
    onChange?: (value: Array<Option>) => void;
    sortable?: boolean;
    disabled?: boolean;
    title?: string;
    placeholder: string;
    itemRender: (option: Option) => JSX.Element;
    itemClassName?: string;
}
export declare class Selections extends React.Component<SelectionsProps> {
    static defaultProps: Pick<SelectionsProps, 'placeholder' | 'itemRender'>;
    id: string;
    sortable?: Sortable;
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    handleRemove(e: React.MouseEvent<HTMLElement>): void;
    initSortable(): void;
    desposeSortable(): void;
    render(): JSX.Element;
}
declare const _default: React.ComponentClass<Pick<Pick<SelectionsProps, "disabled" | "title" | "value" | "sortable" | "className" | "classPrefix" | "classnames" | "onChange" | "itemClassName"> & Partial<Pick<SelectionsProps, "placeholder" | "itemRender">> & Partial<Pick<Pick<SelectionsProps, "placeholder" | "itemRender">, never>>, "disabled" | "title" | "value" | "sortable" | "className" | "placeholder" | "onChange" | "itemClassName" | "itemRender"> & {
    theme?: string | undefined;
    classPrefix?: string | undefined;
    classnames?: import("../theme").ClassNamesFn | undefined;
}, any> & {
    ComposedComponent: typeof Selections;
};
export default _default;
